#ifndef __fileInStream_h
#define __fileInStream_h
#include "inStream.h"
#include <fstream>


class FileInStream: public InStream
{
private:
  std::ifstream file;
public:
  FileInStream(char* fileName);
  ~FileInStream(){ file.close(); }
  int read(char** text, int length); 
  int read(char* c);
};
#endif

