#ifndef __fileOutStream_h
#define __fileOutStream_h
#include "outStream.h"
#include <fstream>
#include <iostream>

class FileOutStream: public OutStream
{
private:
  std::ofstream file;
public:
  FileOutStream(char* fileName);
  virtual ~FileOutStream(){ file.close(); }
  virtual void write(char* text, int length); 
  virtual void write(char c);
};
#endif

