#ifndef __memoryInStream_h
#define __memoryInStream_h 
#include "inStream.h"
#include <string>

class MemoryInStream: public InStream
{
private:
   char *buffer;
   int size;
public:
  MemoryInStream(char **stream){ buffer=*stream; size=0; };
  ~MemoryInStream() {}
  void read(char** text, int len);
  void read(char* c);
  void reset();
  int bytesRead();
};
#endif
