#include "inStream.h"
#include "fileInStream.h"
#include "memoryInStream.h"
#include "formatedInStream.h"
#include "outStream.h"
#include "fileOutStream.h"
#include "memoryOutStream.h"
#include "formatedOutStream.h"
#include <iostream>
#include <string>
using namespace std;

int streamWrite()
{
  char *text="neformatuotas isvedimas!";
  char simbol='\n';
  OutStream* out=new OutStream();
  out->write(text, strlen(text));
  out->write(simbol);
  delete out;
  return 0;
}

int streamWriteFile()
{
  char filename[256];
  char *text="neformatuotas isvedimas i faila!";
  char simbol='\n';
  cout << "Iveskite failo varda: ";
  cin >> filename;
  FileOutStream* out=new FileOutStream(filename);
  out->write(text, strlen(text));
  out->write(simbol);
  delete out;
  return 0;
}

int streamWriteMem()
{
  char *text="neformatuotas isvedimas i atminti!";
  char simbol='\n';
  MemoryOutStream* out=new MemoryOutStream();
  out->write(text,strlen(text));
  out->write(simbol);
  cout << "Ivesta i atminti baitu: " << out->getSize() << endl;
  string buffer;
  buffer=out->getBuffer();
  cout << buffer;
  delete out;
  return 0;
}

void fStreamWrite()
{
  int sk=50;
  bool b=true;
  double d=525654.1004;
  char *text="formatuotas isvedimas! int,double,bool ir text \n";
  OutStream out;
  FormatedOutStream* fOut=new FormatedOutStream(out);
  fOut->write(text);
  fOut->write("int: ");
  fOut->write(sk);
  fOut->write(" double: ");
  fOut->write(d);
  fOut->write(" bool: ");
  fOut->write(b);
}

int streamRead()
{
  char *text=new char[256];
  char simbol;
  InStream* in=new InStream();
  in->read(&text,256);
  in->read(&simbol);
  cout << endl;
  cout << "perskaitytos reiksmes: "; 
  cout << text << " ";
  cout << simbol;
  delete in;
  return 0;
}

int streamReadFile()
{
  char filename[256];
  char *text=new char[256];
  cout << "Iveskite failo varda: ";
  cin >> filename;
  FileInStream* in=new FileInStream(filename);
  if ((in->read(&text, 256))==-1)
	  cout << "nepavyko atidaryti failo" << endl;
  else cout << " perskaitytos reiksmes :" << text ;
  delete in;
  return 0;
}

int streamReadMem()
{
  char *text=new char[256];
  char simbol;
  char* buffer=" sudai myzalai aplinkui";
  MemoryInStream* in=new MemoryInStream(&buffer);
  in->read(&text,8);
  in->read(&simbol);
  cout << "perskaityta is atminties baitu: " << in->bytesRead() << endl;
  cout << text << " " << simbol;
  delete in;
  return 0;
}

void fStreamRead()
{
  int sk;
  bool b;
  double d;
  char *text=new char[256];
  InStream in;
  FormatedInStream* fIn=new FormatedInStream(in);
  cout << "Iveskite teksta: ";
  fIn->read(&text);
  cout << "text: " << text << endl;
  cout << "iveskite int: ";  
  fIn->read(&sk);
  cout << " int : " << sk << endl; 
  cout << " Iveskite double: ";
  fIn->read(&d);
  cout << " double: " << d << endl;
   cout << " Iveskite bool: ";
  fIn->read(&b);
  cout << " bool: " << b << endl;
}

int main()
{
  for (;;)
  {
     cout << endl
     << "Ivedimo srautai:" << endl
     << " 1 - neformatuotas ivedimas is klaviaturos" << endl
     << " 2 - neformatuotas ivedimas is failo" << endl
     << " 3 - neformatuotas ivedimas is atminies" << endl
     << " 4 - formatuotas ivedimas" << endl;
     cout << endl;
     cout
     << "Isvedimo srautai:" << endl
     << " 5 - neformatuotas isvedimas i ekrana" << endl
     << " 6 - neformatuotas isvedimas i faila" << endl
     << " 7 - neformatuotas isvedimas i atmini" << endl
     << " 8 - formatuotas isvedimas" << endl
     << endl
     << endl
     << " 0 - Baigti darba" << endl;
     string key;
     cin >> key;
     if (key == "0") return 0;
       else if (key == "1") streamRead();
       else if (key == "2") streamReadFile();
       else if (key == "3") streamReadMem();
       else if (key == "4") fStreamRead();
       else if (key == "5") streamWrite();
       else if (key == "6") streamWriteFile();
       else if (key == "7") streamWriteMem();
       else if (key == "8") fStreamWrite();
       else cout << endl << "Neteisinga komanda..." << endl;
  }
}

