#include <iostream>
#include "memoryInStream.h"
using namespace std;

void MemoryInStream::read(char* c)
{
  *c=buffer[size];	
  size++;
}

int MemoryInStream::bytesRead()
{
  return size;
}

void MemoryInStream::reset()
{
  size=0;
}

void MemoryInStream::read(char** text, int len)
{
  for (int i=size;i<size+len; i++)
    (*text)[i-size]=buffer[i];
  size+=len;
  (*text)[len]='\0';
}

