#include "outStream.h"
#include "fileOutStream.h"
#include "memoryOutStream.h"
#include "formatedOutStream.h"
#include <iostream>
#include <string>
using namespace std;

int streamWrite()
{
  char *text="neformatuotas isvedimas!";
  char simbol='\n';
  OutStream* out=new OutStream();
  out->write(text, strlen(text));
  out->write(simbol);
  delete out;
  return 0;
}

int streamWriteFile()
{
  char filename[256];
  char *text="neformatuotas isvedimas i faila!";
  char simbol='\n';
  cout << "Iveskite failo varda: ";
  cin >> filename;
  FileOutStream* out=new FileOutStream(filename);
  out->write(text, strlen(text));
  out->write(simbol);
  delete out;
  return 0;
}

int streamWriteMem()
{
  char *text="neformatuotas isvedimas i atminti!";
  char simbol='\n';
  MemoryOutStream* out=new MemoryOutStream();
  out->write(text,strlen(text));
  out->write(simbol);
  cout << "Ivesta i atminti baitu: " << out->getSize() << endl;
  string buffer;
  buffer=out->getBuffer();
  cout << buffer;
  delete out;
  return 0;
}

void fStreamWrite()
{
  int sk=50;
  bool b=true;
  double d=525654.1004;
  char *text="formatuotas isvedimas! int,double,bool ir text \n";
  OutStream out;
  FormatedOutStream* fOut=new FormatedOutStream(out);
  fOut->write(text);
  fOut->write("int: ");
  fOut->write(sk);
  fOut->write(" double: ");
  fOut->write(d);
  fOut->write(" bool: ");
  fOut->write(b);
}

int main()
{
  for (;;)
  {
     cout << endl
     << "Isvedimo srautai:" << endl
     << " 1 - neformatuotas isvedimas i ekrana" << endl
     << " 2 - neformatuotas isvedimas i faila" << endl
     << " 3 - neformatuotas isvedimas i atmini" << endl
     << " 4 - formatuotas isvedimas" << endl
     << endl
     << " 0 - Baigti darba" << endl;
     string key;
     cin >> key;
     if (key == "0") return 0;
       else if (key == "1") streamWrite();
       else if (key == "2") streamWriteFile();
       else if (key == "3") streamWriteMem();
       else if (key == "4") fStreamWrite();
       else cout << endl << "Neteisinga komanda..." << endl;
  }
}

